ObjectToHttpClientMethodRequest (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.transformers.ObjectToHttpClientMethodRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.transformers
Class ObjectToHttpClientMethodRequest

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.transport.http.transformers.ObjectToHttpClientMethodRequest

All Implemented Interfaces:
  MuleContextAware, Initialisable, NamedObject, BaseTransformer, Transformer

    public class ObjectToHttpClientMethodRequest

extends AbstractMessageAwareTransformer
implements MuleContextAware

`ObjectToHttpClientMethodRequest` transforms a MuleMessage into a HttpClient HttpMethod that represents an HttpRequest.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ObjectToHttpClientMethodRequest()`

Method Summary
`protected int` | `addParameters(String queryString, PostMethod postMethod, MuleMessage msg)`
`protected String` | `paramToString(Object param)`
`protected void` | `setHeaders(HttpMethod httpMethod, MuleMessage msg)`
`void` | `setMuleContext(MuleContext context)`
`protected void` | `setupEntityMethod(Object src, String encoding, MuleMessage msg, URI uri, EntityEnclosingMethod postMethod)`
`Object` | `transform(MuleMessage msg, String outputEncoding)`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectToHttpClientMethodRequest

    public ObjectToHttpClientMethodRequest()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### addParameters

    protected int addParameters(String queryString,
                                PostMethod postMethod,
                                MuleMessage msg)

### transform

    public Object transform(MuleMessage msg,
                            String outputEncoding)
                     throws TransformerException

  Specified by:
    `transform` in class `AbstractMessageAwareTransformer`
  Throws:
    `TransformerException`

### setupEntityMethod

    protected void setupEntityMethod(Object src,
                                     String encoding,
                                     MuleMessage msg,
                                     URI uri,
                                     EntityEnclosingMethod postMethod)
                              throws UnsupportedEncodingException,
                                     TransformerException

  Throws:
    `UnsupportedEncodingException`
    `TransformerException`

### setHeaders

    protected void setHeaders(HttpMethod httpMethod,
                              MuleMessage msg)

### paramToString

    protected String paramToString(Object param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.